# Method: projects.locations.multicastDomains.get

- [HTTP request](https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations.multicastDomains/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations.multicastDomains/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations.multicastDomains/get#body.request_body)
- [Response body](https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations.multicastDomains/get#body.response_body)

Gets details of a single multicast domain.

### HTTP request

`GET https://networkservices.googleapis.com/v1beta1/{name=projects/*/locations/*/multicastDomains/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the multicast domain to get. Use the following format: `projects/*/locations/global/multicastDomains/*`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations.multicastDomains#MulticastDomain`.